using System;
using System.Linq;
using System.Collections;
using System.Collections.Generic;

using Xunit;

namespace LinqStudy.Test.LinqToObject
{

    /// <summary>
    /// 选件筛选
    /// </summary>
    public class WhereTest
    {
        /// <summary>
        /// Where：条件筛选操作,延迟执行
        /// </summary>
        [Fact]
        public void Where_Test()
        {
            List<Person> peoples = new List<Person>()
            {
                new Person(){ Id=1, Name="wanggaofeng", Age=33},
                new Person(){ Id=2, Name="lishi", Age=32},
            };

            var query = peoples.Where(q => q.Name.StartsWith("wang"));
            var selectId = query.FirstOrDefault().Id;

            Assert.Equal(1, selectId);
        }
    }
}
